<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="golstyle.css">
</head>
<body>
    <h1>Game Of Life</h1>
    <p>New Field generates a new random field with randomly generated alive cells according to the Random Alive Factor. Clicking on the field on any time will switch a cell between alive and dead. Clicking on Next Generation displays the next generation. Clicking on Run Simulation will generate a new generation every Simulation Speed milliseconds. <br> See <a href="https://en.wikipedia.org/wiki/Conway%27s_Game_of_Life">Wikipedia</a> for more details on Conway's Game of Life. </p>
    <label for="height">Height:</label>
    <input type="number" min="10" max="500" value="100" id="height">
    <label for="width">Width:</label>
    <input type="number" min="10" max="500" value="100" id="width">
    <label for="factor">Random Alive Factor:</label>
    <input type="number" step="0.1" min="0" max="1" value="0.5" id="factor">
    <label for="speed">Simulation Speed in ms:</label>
    <input type="number" step="1" min="0" max="10000" value="2000" id="speed">
    <br>
    <br>
    <button id="new">New Field</button>
    <button id="next">Next Generation</button>
    <button id="start">Run Simulation</button>
    <br>
    <br>
    <canvas id="canvas" width="2500" height="2500"></canvas>
</body>
<script src="lodash.js"></script>
<script src="gol.js"></script>

</html>